Endian File Reference
`#include <algorithm>`

Go to the source code of this file.

## Namespaces

namespace | osg

## Macros

#define | OSG_ENDIAN 1

## Enumerations

enum | osg::Endian { osg::BigEndian , osg::LittleEndian }

## Functions

Endian | osg::getCpuByteOrder ()
void | osg::swapBytes (char *in, unsigned int size)
void | osg::swapBytes2 (char *in)
void | osg::swapBytes4 (char *in)
void | osg::swapBytes8 (char *in)
void | osg::swapBytes16 (char *in)
template<typename T>
void | osg::swapBytes (T &t)

## Macro Definition Documentation

## OSG_ENDIAN

#define OSG_ENDIAN 1